MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022936Community[OCCT] OCCT:Modeling Algorithmspublic2012-01-30 14:392012-04-16 12:26
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022936: Memory leak in inc\MAT_Mat.gxx line
Descriptionthe lines

if (noofarea == 0) {
cout <<" Erreur d allocation "<<endl;
return;
}

do not delete the previously allocated variables: 'firstarea' and 'lastarea'. I would change the code to:

if (noofarea == 0) {
cout <<" Erreur d allocation "<<endl;
     if(firstarea != NULL) delete [] firstarea;
     if(lastarea != NULL) delete [] lastarea;
return;
}
TagsNo tags attached.
Test case numberTest case is not required
Attached Files

- Relationships

-  Notes
(0019307)
abv (manager)
2012-01-30 14:46

Please replace C pointers by TColStd_Array1OfInteger
(0019406)
dbv (developer)
2012-02-06 13:51

C pointers has been replaced by TColStd_Array1OfInteger

Branch http://svn/svn/occt/branches/OCC22936 [^] is ready to be reviewed.

Dear Andrey,
Please review.
(0019409)
abv (manager)
2012-02-06 15:38

Reviewed with no remarks, please test
(0019590)
mkv (tester)
2012-02-15 18:25

Dear BugMaster,
Workbench KAS:dev:mkv-22936-occt was created from SVN branch http://svn/svn/occt/branches/OCC22936 [^]
(and mkv-22936-products from trunk) and compiled on Linux platform.
There are not regressions in mkv-22936-products regarding to KAS:dev:products-20120127-opt

See results in /QADisk/occttests/results/KAS/dev/mkv-22936-products_14022012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120127-opt_28012012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0019614)
bugmaster (administrator)
2012-02-17 12:11

Integrated into trunk of occt repository

Date: 2012-02-17 12:09:20 +0400 (Fri, 17 Feb 2012)
New Revision: 10497

Modified:
   trunk/src/MAT/MAT_Mat.gxx
(0020372)
Pawel (developer)
2012-04-12 17:17

Verified. Please close.

- Related Changesets
occt: master f391e9f2
Timestamp: 2012-02-17 08:09:20
Author: Pawel, DBV
Committer: bugmaster
Details ] Diff ]
0022936: Memory leak in inc\MAT_Mat.gxx line
mod - src/MAT/MAT_Mat.gxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-30 14:39 Pawel New Issue
2012-01-30 14:39 Pawel Assigned To => jgv
2012-01-30 14:46 abv Note Added: 0019307
2012-01-30 14:46 abv Assigned To jgv => dbv
2012-01-30 14:46 abv Status new => assigned
2012-02-06 13:51 dbv Note Added: 0019406
2012-02-06 13:51 dbv Assigned To dbv => abv
2012-02-06 13:51 dbv Status assigned => resolved
2012-02-06 15:38 abv Note Added: 0019409
2012-02-06 15:38 abv Assigned To abv => dbv
2012-02-06 15:38 abv Status resolved => reviewed
2012-02-08 10:46 abv Target Version => 6.5.3
2012-02-14 13:14 mkv Assigned To dbv => mkv
2012-02-15 18:00 mkv Note Added: 0019588
2012-02-15 18:01 mkv Test case number => Test case is not required
2012-02-15 18:01 mkv Assigned To mkv => dbv
2012-02-15 18:01 mkv Status reviewed => assigned
2012-02-15 18:25 mkv Note Added: 0019590
2012-02-15 18:25 mkv Note Deleted: 0019588
2012-02-15 18:26 mkv Status assigned => resolved
2012-02-15 18:26 mkv Status resolved => reviewed
2012-02-15 18:26 mkv Status reviewed => tested
2012-02-17 12:11 bugmaster Note Added: 0019614
2012-02-17 12:11 bugmaster Status tested => verified
2012-02-17 12:11 bugmaster Resolution open => fixed
2012-02-17 12:11 bugmaster Assigned To dbv => Pawel
2012-03-29 17:26 bugmaster Changeset attached => occt master f391e9f2
2012-04-12 17:17 Pawel Note Added: 0020372
2012-04-16 12:26 Pawel Assigned To Pawel => bugmaster


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker